classification
Title: --install-base option ignored?
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, nanjekyejoannah, ned.deily, pitrou, steve.dower
Priority: normal Keywords:

Created on 2014-06-10 21:42 by pitrou, last changed 2021-10-23 21:13 by yaubi. This issue is now closed.

Messages (3)
msg220198 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-06-10 21:42
Looking at the source code in distutils.command.installer, it seems the "--install-base" option is ignored, since it is always overwritten, either in finalize_unix() or finalize_other().

(I haven't tried to check this on the command line, though)
msg224244 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-07-29 20:24
See also Issue1382562 "--install-base not honored on win32".
msg386300 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:16
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-10-23 21:13:01yaubisetnosy: - yaubi
2021-02-03 18:16:19steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386300

resolution: out of date
stage: resolved
2019-04-17 20:04:42nanjekyejoannahsetnosy: + nanjekyejoannah
2014-07-29 20:24:28ned.deilysetnosy: + ned.deily
messages: + msg224244
2014-07-29 01:27:12yaubisetnosy: + yaubi
2014-06-10 21:42:43pitroucreate